<?php

namespace Shikiryu\LBCReposter;

use Goutte\Client;
use PHPUnit\Framework\TestCase;
use Shikiryu\LBCReposter\Account;

class AccountTest extends TestCase
{
  protected $account;

  protected function setUp()
  {
    $config = new \Shikiryu\LBCReposter\Config([
      'login' => 'text@example.com',
      'password' => 'password',
    ]);
    $this->account = new Account($config);
  }

  protected function tearDown()
  {
      $this->account = null;
  }

  public function testAdd()
  {
      $result = $this->account->getConfig();
      $this->assertInstanceOf( \Shikiryu\LBCReposter\Config::class, $result );
  }

}
